Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.remote.soap
Class ConnectionIDRequestHandler

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          mx4j.tools.remote.soap.ConnectionIDRequestHandler

All Implemented Interfaces:
  org.apache.axis.Handler, java.io.Serializable

public class ConnectionIDRequestHandler
extends org.apache.axis.handlers.BasicHandler

This class is used in the Axis deployment descriptor, and parses the SOAP header (on server-side) that contains the connection ID sent by the client.

Version:
  $Revision: 1.5 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.handlers.BasicHandler
`log, makeLockable, name, options`

Constructor Summary
`ConnectionIDRequestHandler()`

Method Summary
`void` | `invoke(org.apache.axis.MessageContext context)`

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionIDRequestHandler

    public ConnectionIDRequestHandler()

Method Detail

### invoke

    public void invoke(org.apache.axis.MessageContext context)
                throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.